import { ChangeEvent } from "react";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
import { ValidationIssue } from "@appglue/common/dist/Common/IDesignValidationProvider";
import { FormControl } from "../FormControl";
export declare class PieChartFormControl extends FormControl {
    readonly __type: string;
    chartType: string;
    innerRadius: number;
    objectPath?: string;
    dataName?: string;
    label?: string;
    isDonut: boolean;
    showLabel: boolean;
    showToolTip: boolean;
    show3D: boolean;
    colorType: string;
    legendPosition: string;
    customRadius: boolean;
    constructor();
    getDesignValidationIssues(): ValidationIssue[];
    getRuntimeValidationIssues(): ValidationIssue[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getDataDefinition(): IDataDefinition | undefined;
    updateDataDefinition(previous?: string): void;
    updateChartData(e: ChangeEvent<HTMLInputElement | HTMLTextAreaElement>): void;
    getChartDefSampleValue(): any[];
    getChartData(): any[];
    render(): JSX.Element;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
